Save GSTR-9C Reconciliation as a Draft
PUT
https://apisandbox.whitebooks.in/gstr9c/retsaveThis API is to save GSTR9C data
Parameters
query parameters
emailstringrequiredUser Email
header parameters
gstinstringrequiredGST Number
ret_periodstringrequiredReturn Period (MMYYYY)
gst_usernamestringrequiredGST UserName
state_cdstringrequiredState Code
ip_addressstringrequiredIP Address
txnstringrequiredTransaction
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
Request Body
application/jsonrequired
gstr9cdataobjectoptionalaudited_dataobjectoptionalgstinstringoptionalGSTIN number
Example: "12AVVVH1234HA1X"
fpstringoptionalFp Type
Example: "032019"
act_namestringoptionalAct Name
Example: "Trade Unions Act, 1926 "
isauditorstringoptionalAuditor
Example: "Y"
table5objectoptionaltable6objectoptionaltable7objectoptionaltable8objectoptionaltable9objectoptionaltable10objectoptionaltable11objectoptionaltable12objectoptionaltable13objectoptionaltable14objectoptionaltable15objectoptionaltable16objectoptionaladd_liabobjectoptionaldcupdtlsobjectoptionalbalance_sheetarray<object>optionalArray items:
doc_namstringoptionalName of the uploaded document
doc_idstringoptionalDoc id of uploaded document
profitlossarray<object>optionalArray items:
doc_namstringoptionalName of the uploaded document
doc_idstringoptionalDoc id of uploaded document
otherdoc1array<object>optionalArray items:
doc_namstringoptionalName of the uploaded document
doc_idstringoptionalDoc id of uploaded document
otherdoc2array<object>optionalArray items:
doc_namstringoptionalName of the uploaded document
doc_idstringoptionalDoc id of uploaded document
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP PUT to
/gstr9c/retsave. Required parameters: email (query parameter), gstin (header parameter), ret_period (header parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). A JSON request body (Content-Type: application/json) is accepted per the schema specifications shown in the request documentation.For Save GSTR9C (PUT
/gstr9c/retsave), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).This API is to save GSTR9C data
No example available.